/**
 * @file DrAFile.c
 * This is the main DrAFile program start point.
 */
#include <stdio.h>
#include <propeller.h>

extern _Driver _SimpleSerialDriver;
extern _Driver _FileDriver;

typedef unsigned char UCHAR;
typedef unsigned long DWORD;
typedef unsigned long UINT;

static char    a[80];
static FILE   *fp1;

/* This is a list of all drivers we can use in the
 * program. The default _InitIO function opens stdin,
 * stdout, and stderr based on the first driver in
 * the list (the serial driver, for us)
 */
_Driver *_driverlist[] = {
  &_SimpleSerialDriver,
  &_FileDriver,
  NULL
};

/**
 * Main program function.
 */
int main(int argc, char *argv[])
{
    // pause a moment for terminal to open.
    waitcnt(CLKFREQ+CNT);

    strcpy(a,"Test"); // open a file for writing
    printf("Try opening file\n");

    if((fp1=fopen(a,"w"))==0)
        fprintf(stderr,"Can't open file %s\n",a);
    else
        printf("File is open\n");
    fclose(fp1);
    while(1);
}
